<?php
// Version: 1.1.5; Display

function template_main()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

	// Show the anchor for the top and for the first message.  If the first message is new, say so.
	echo '
<a name="top"></a>
<a name="msg', $context['first_message'], '"></a>', $context['first_new_message'] ? '<a name="new"></a>' : '';

	// Show the linktree as well as the "Who's Viewing" information.
	echo '
<table width="100%" cellpadding="3" cellspacing="0">
	<tr>
		<td valign="bottom">', theme_linktree(), '</td>';
	if (!empty($settings['display_who_viewing']))
	{
		echo '
		<td align="right" class="smalltext">';

		// Show just numbers...?
		if ($settings['display_who_viewing'] == 1)
			echo count($context['view_members']), ' ', count($context['view_members']) == 1 ? $txt['who_member'] : $txt[19];
		// Or show the actual people viewing the topic?
		else
			echo empty($context['view_members_list']) ? '0 ' . $txt[19] : implode(', ', $context['view_members_list']) . ((empty($context['view_num_hidden']) or $context['can_moderate_forum']) ? '' : ' (+ ' . $context['view_num_hidden'] . ' ' . $txt['hidden'] . ')');

		// Now show how many guests are here too.
		echo $txt['who_and'], $context['view_num_guests'], ' ', $context['view_num_guests'] == 1 ? $txt['guest'] : $txt['guests'], $txt['who_viewing_topic'], '</td>';
	}
	echo '
	</tr>
</table>';

	// Is this topic also a poll?
	if ($context['is_poll'])
	{
		echo '
<table border="0" cellpadding="0" cellspacing="0" width="100%"><tr><td align="right" valign="bottom" width="50"><img src="' . $settings['images_url'] . '/top_left.gif" alt="" border="0" height="28" width="50" /></td><td align="center" style="background: url(' . $settings['images_url'] . '/top_center.gif);" valign="middle" width="100%"><span class="cattitle">', $txt['smf43'], '</span></td><td align="left" valign="bottom" width="50"><img src="' . $settings['images_url'] . '/top_right.gif" alt="" border="0" height="28" width="50" /></td></tr></table>
<table class="forumline" border="0" cellpadding="5" cellspacing="1" width="100%">
	<tr class="windowbg">
		<td style="background: url(' . $settings['images_url'] . '/post_bg.gif);" width="10%" valign="top"><b>', $txt['smf21'], ':</b></td>
		<td align="center" class="row1">
			', $context['poll']['question'];
		if (!empty($context['poll']['expire_time']))
			echo '
			&nbsp;(', ($context['poll']['is_expired'] ? $txt['poll_expired_on'] : $txt['poll_expires_on']), ': ', $context['poll']['expire_time'], ')';

		// Are they not allowed to vote but allowed to view the options?
		if ($context['poll']['show_results'] || !$context['allow_vote'])
		{
			echo '
			<table>
				<tr>
					<td style="padding-top: 2ex;">
						<table border="0" cellpadding="0" cellspacing="0">';

			// Show each option with its corresponding percentage bar.
			foreach ($context['poll']['options'] as $option)
				echo '
							<tr>
								<td style="padding-right: 2ex;', $option['voted_this'] ? 'font-weight: bold;' : '', '">', $option['option'], '</td>', $context['allow_poll_view'] ? '
								<td nowrap="nowrap">' . $option['bar'] . ' ' . $option['votes'] . ' (' . $option['percent'] . '%)</td>' : '', '
							</tr>';

			echo '
						</table>
					</td>
					<td valign="bottom" style="padding-left: 15px;">';

			// If they are allowed to revote - show them a link!
			if ($context['allow_change_vote'])
				echo '
						<a href="', $scripturl, '?action=vote;topic=', $context['current_topic'], '.', $context['start'], ';poll=', $context['poll']['id'], ';sesc=', $context['session_id'], '">', $txt['poll_change_vote'], '</a><br />';

			// If we're viewing the results... maybe we want to go back and vote?
			if ($context['poll']['show_results'] && $context['allow_vote'])
				echo '
						<a href="', $scripturl, '?topic=', $context['current_topic'], '.', $context['start'], '">', $txt['poll_return_vote'], '</a><br />';

                        // If they're allowed to lock the poll, show a link!
			if ($context['poll']['lock'])
				echo '
						<a href="', $scripturl, '?action=lockVoting;topic=', $context['current_topic'], '.', $context['start'], ';sesc=', $context['session_id'], '">', !$context['poll']['is_locked'] ? $txt['smf30'] : $txt['smf30b'], '</a><br />';

			// If they're allowed to edit the poll... guess what... show a link!
			if ($context['poll']['edit'])
				echo '
						<a href="', $scripturl, '?action=editpoll;topic=', $context['current_topic'], '.', $context['start'], '">', $txt['smf39'], '</a>';

			echo '
					</td>
				</tr>', $context['allow_poll_view'] ? '
				<tr>
					<td colspan="2"><b>' . $txt['smf24'] . ': ' . $context['poll']['total_votes'] . '</b></td>
				</tr>' : '', '
			</table><br />';
		}
		// They are allowed to vote!  Go to it!
		else
		{
			echo '
			<form action="', $scripturl, '?action=vote;topic=', $context['current_topic'], '.', $context['start'], ';poll=', $context['poll']['id'], '" method="post" style="margin: 0px;">
				<table>
					<tr>
						<td colspan="2">';

			// Show a warning if they are allowed more than one option.
			if ($context['poll']['allowed_warning'])
				echo '
							', $context['poll']['allowed_warning'], '
						</td>
					</tr><tr>
						<td>';

			// Show each option with its button - a radio likely.
			foreach ($context['poll']['options'] as $option)
				echo '
							<label for="', $option['id'], '">', $option['vote_button'], ' ', $option['option'], '</label><br />';

			echo '
						</td>
						<td valign="bottom" style="padding-left: 15px;">';

			// Allowed to view the results? (without voting!)
			if ($context['allow_poll_view'])
				echo '
							<a href="', $scripturl, '?topic=', $context['current_topic'], '.', $context['start'], ';viewResults">', $txt['smf29'], '</a><br />';

			// Show a link for locking the poll as well...
			if ($context['poll']['lock'])
				echo '
							<a href="', $scripturl, '?action=lockVoting;topic=', $context['current_topic'], '.', $context['start'], ';sesc=', $context['session_id'], '">', (!$context['poll']['is_locked'] ? $txt['smf30'] : $txt['smf30b']), '</a><br />';

			// Want to edit it?  Click right here......
			if ($context['poll']['edit'])
				echo '
							<a href="', $scripturl, '?action=editpoll;topic=', $context['current_topic'], '.', $context['start'], '">', $txt['smf39'], '</a>';

			echo '
						</td>
					</tr><tr>
						<td align="center" colspan="2"><input class="liteoption" type="submit" value="', $txt['smf23'], '" /></td>
					</tr>
				</table>
				<input type="hidden" name="sc" value="', $context['session_id'], '" />
			</form>';
		}

		echo '
		</td>
	</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%"><tr><td align="right" valign="top" width="12"><img src="', $settings['images_url'], '/bottom_left.gif" border="0" height="12" width="12" alt="" /></td><td style="background: url(', $settings['images_url'], '/bottom_center.gif);" width="100%"></td><td align="left" valign="top" width="12"><img src="', $settings['images_url'], '/bottom_right.gif" border="0" height="12" width="12" alt="" /></td></tr></table><br />';
	}

	// Does this topic have some events linked to it?
	if (!empty($context['calendar_events']))
	{
			echo '
<table cellpadding="3" cellspacing="0" border="0" width="100%" class="tborder" style="margin-bottom: 2ex;">
	<tr class="titlebg">
		<td colspan="2" valign="middle" align="left" style="padding-left: 6px;">
			', $txt['calendar_linked_events'], '
		</td>
	</tr>
	<tr class="row1">
		<td width="5%" valign="top">
			<ul>';
	foreach ($context['calendar_events'] as $event)
	{
		echo '
				<li>
					<b>', ($event['can_edit'] ? '<a href="' . $event['modify_href'] . '" style="color: red;">*</a> ' : ''), $event['title'], '</b>: ', $event['start_date'], ($event['start_date'] != $event['end_date'] ? ' - ' . $event['end_date'] : '');
		echo '
				</li>';
	}
	echo '
			</ul>
		</td>
	</tr>
</table>';
	}

        // Show the page index... "Pages: [1]".
	echo '
<table width="100%" cellpadding="0" cellspacing="0" border="0" style="margin-bottom: 1ex; margin-top: 1ex;">
			<tr>
				<td align="left">
					<table cellpadding="0" cellspacing="0" width="100%">
						<tr>
							<td><span class="smalltext"><b>', $txt[139], ': ', $context['page_index'], '</b></span></td>
							<td align="right" nowrap="nowrap" style="font-size: smaller;">';

	$buttonArray = array();
	if ($context['can_reply'])
		$buttonArray[] = '<a href="' . $scripturl . '?action=post;topic=' . $context['current_topic'] . '.' . $context['start'] . ';num_replies=' . $context['num_replies'] . '">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/reply.gif" alt="' . $txt[146] . '" border="0" />' : $txt[146]) . '</a>';
	if ($context['can_mark_notify'])
		$buttonArray[] = '<a href="' . $scripturl . '?action=notify;sa=' . ($context['is_marked_notify'] ? 'off' : 'on') . ';topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '" onclick="return confirm(\'' . ($context['is_marked_notify'] ? $txt['notification_disable_topic'] : $txt['notification_enable_topic']) . '\');">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/notify.gif" alt="' . $txt[131] . '" border="0" />' : $txt[131]) . '</a>';

	// This is a special case; if they can see mark unread, put it at the top... otherwise show add poll.
	if ($context['user']['is_logged'] && $settings['show_mark_read'])
		$buttonArray[] = '<a href="' . $scripturl . '?action=markasread;sa=topic;t=' . $context['mark_unread_time'] . ';topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/markunread.gif" alt="' . $txt['mark_unread'] . '" border="0" />' : $txt['mark_unread']) . '</a>';
	elseif ($context['can_add_poll'])
		$buttonArray[] = '<a href="' . $scripturl . '?action=editpoll;add;topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/addpoll.gif" alt="' . $txt['add_poll'] . '" border="0" />' : $txt['add_poll']) . '</a>';

	if ($context['can_send_topic'])
		$buttonArray[] = '<a href="' . $scripturl . '?action=sendtopic;topic=' . $context['current_topic'] . '.0">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/sendtopic.gif" alt="' . $txt[707] . '" border="0" />' : $txt[707]) . '</a>';
	$buttonArray[] = '<a href="' . $scripturl . '?action=printpage;topic=' . $context['current_topic'] . '.0" target="_blank">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/print.gif" alt="' . $txt[465] . '" border="0" />' : $txt[465]) . '</a>';

	echo implode($context['menu_separator'], $buttonArray);

	echo '</td>
				</tr>
			</table>
		</td>
	</tr>
</table>';

	// Show the topic information - icon, subject, etc.
	echo '
<form action="', $scripturl, '?action=quickmod2;topic=', $context['current_topic'], '.', $context['start'], '" method="post" accept-charset="', $context['character_set'], '" name="quickModForm" id="quickModForm" style="margin: 0;" onsubmit="return in_edit_mode == 1 ? modify_save(\'' . $context['session_id'] . '\') : confirm(\'' . $txt['quickmod_confirm'] . '\');">';
	// Get all the messages...
	while ($message = $context['get_message']())
	{
                
	if ($message['id'] != $context['first_message'])
			echo '
		<a name="msg', $message['id'], '"></a>', $message['first_new'] ? '<a name="new"></a>' : '';

        echo'
        <table border="0" cellpadding="0" cellspacing="0" width="100%"><tr><td align="right" valign="bottom" width="50"><img src="' . $settings['images_url'] . '/top_left.gif" alt="" border="0" height="28" width="50" /></td><td align="center" style="background: url(' . $settings['images_url'] . '/top_center.gif);" valign="middle" width="100%"><div class="cattitle" style="font-weight: bold;" id="subject_', $message['id'], '">
                              <a href="', $message['href'], '">', $message['subject'], '</a>
                           </div></td><td align="left" valign="bottom" width="50"><img src="' . $settings['images_url'] . '/top_right.gif" alt="" border="0" height="28" width="50" /></td></tr></table>
        <table class="forumline" border="0" cellpadding="0" cellspacing="1" width="100%">
        <tr>
	<td class="th" align="center" valign="middle"><table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr style="height: 26px;">
		<td style="background: url(', $settings['images_url'], '/bg_cat.gif);" align="left" nowrap="nowrap" valign="middle"><a href="', $message['href'], '"><img src="', $settings['images_url'], '/post/' . $message['icon'] . '.gif" alt="" border="0" /></a> <span class="smalltext">', $message['time'], '</span></td>
		<td style="background: url(', $settings['images_url'], '/bg_cat.gif);" align="right" nowrap="nowrap" valign="bottom">';

                // Can they reply?  Have they turned on quick reply?
		if ($context['can_reply'] && !empty($options['display_quick_reply']))
			echo '
									<a href="', $scripturl, '?action=post;quote=', $message['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';num_replies=', $context['num_replies'], ';sesc=', $context['session_id'], '" onclick="doQuote(', $message['id'], ', \'', $context['session_id'], '\'); return false;">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/quote.gif" alt="' . $txt[145] . '" border="0" />' : $txt[145]), '</a>';
		// So... quick reply is off, but they *can* reply?
		elseif ($context['can_reply'])
			echo '
									<a href="', $scripturl, '?action=post;quote=', $message['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';num_replies=', $context['num_replies'], ';sesc=', $context['session_id'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/quote.gif" alt="' . $txt[145] . '" border="0" />' : $txt[145]), '</a>';

		// Can the user modify the contents of this post?
		if ($message['can_modify'])
			echo '
									<a href="', $scripturl, '?action=post;msg=', $message['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';sesc=', $context['session_id'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/modify.gif" alt="' . $txt[66] . '" border="0" />' : $txt[17]), '</a>';

		// How about... even... remove it entirely?!
		if ($message['can_remove'])
			echo '
									<a href="', $scripturl, '?action=deletemsg;topic=', $context['current_topic'], '.', $context['start'], ';msg=', $message['id'], ';sesc=', $context['session_id'], '" onclick="return confirm(\'', $txt[154], '?\');">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/delete.gif" alt="' . $txt[121] . '" border="0" />' : $txt[31]), '</a>';

		// What about splitting it off the rest of the topic?
		if ($context['can_split'])
			echo '
									<a href="', $scripturl, '?action=splittopics;topic=', $context['current_topic'], '.0;at=', $message['id'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/split.gif" alt="' . $txt['smf251'] . '" border="0" />' : $txt['smf251']), '</a>';

		// Show a checkbox for quick moderation?
		if (!empty($options['display_quick_mod']) && $options['display_quick_mod'] == 1 && $message['can_remove'])
			echo '
									<input type="checkbox" name="msgs[]" value="', $message['id'], '" class="check" />';

                
                echo'
                </td></tr></table></td>
</tr><tr><td class="row1" align="left" valign="top" width="100%"><table border="0" cellspacing="0" cellpadding="0" width="100%"><!-- main table start -->
	<tr>
		<td width="150" align="left" valign="top" rowspan="2"><table border="0" cellspacing="0" cellpadding="0" width="100%"><!-- left row table start -->
		<tr>
			<td width="100" align="left" valign="top" style="background: url(' . $settings['images_url'] . '/post_bg.gif);"><table border="0" cellspacing="0" cellpadding="4">
			<tr>
				<td width="100" align="left" valign="top"><table border="0" cellspacing="0" cellpadding="0" width="100" style="table-layout: fixed;"><tr><td><span class="name"><b>', $message['member']['link'], '</b></span></td></tr>';

		// Show the member's custom title, if they have one.
		if (isset($message['member']['title']) && $message['member']['title'] != '')
			echo '
			<tr><td><span class="smalltext">', $message['member']['title'], '</span></td></tr>';

		// Show the member's primary group (like 'Administrator') if they have one.
		if (isset($message['member']['group']) && $message['member']['group'] != '')
			echo '
			<tr><td nowrap="nowrap"><span class="smalltext">', $message['member']['group'], '</span></td></tr>';

		// Don't show these things for guests.
		if (!$message['member']['is_guest'])
		{
			// Show the post group if and only if they have no other group or the option is on, and they are in a post group.
			if ((empty($settings['hide_post_group']) || $message['member']['group'] == '') && $message['member']['post_group'] != '')
				echo '
			<tr><td nowrap="nowrap"><span class="smalltext">', $message['member']['post_group'], '</span></td></tr>';
			echo '
			<tr><td nowrap="nowrap"><span class="smalltext">', $message['member']['group_stars'], '</span><br /><br /></td></tr>';

			
                        // Show avatars, images, etc.?
			if (!empty($settings['show_user_images']) && empty($options['show_no_avatars']) && !empty($message['member']['avatar']['image']))
				echo '
								<tr><td nowrap="nowrap"><div style="overflow: auto; width: 100%;">', $message['member']['avatar']['image'], '</div><br /></td></tr>';
                        
                        // Show online and offline buttons?
			if (!empty($modSettings['onlineEnable']) && !$message['member']['is_guest'])
				echo '
								<tr><td nowrap="nowrap"><span class="smalltext">', $context['can_send_pm'] ? '<a href="' . $message['member']['online']['href'] . '" title="' . $message['member']['online']['label'] . '">' : '', $settings['use_image_buttons'] ? '<img src="' . $message['member']['online']['image_href'] . '" alt="' . $message['member']['online']['text'] . '" border="0" align="middle" />' : $message['member']['online']['text'], $context['can_send_pm'] ? '</a>' : '', $settings['use_image_buttons'] ? '<span class="smalltext"> ' . $message['member']['online']['text'] . '</span>' : '', '</span><br /><br /></td></tr>';
                        
                        
                        // Is karma display enabled?  Total or +/-?
			if ($modSettings['karmaMode'] == '1')
			echo '
			<tr><td nowrap="nowrap"><span class="smalltext">', $modSettings['karmaLabel'], ' ', $message['member']['karma']['good'] - $message['member']['karma']['bad'], '</span></td></tr>';
			elseif ($modSettings['karmaMode'] == '2')
				echo '
                        <tr><td nowrap="nowrap">', $modSettings['karmaLabel'], ' +', $message['member']['karma']['good'], '/-', $message['member']['karma']['bad'], '</span></td></tr>';

			// Is this user allowed to modify this member's karma?
			if ($message['member']['karma']['allow'])
				echo '
								<tr><td nowrap="nowrap"><span class="smalltext"><a href="', $scripturl, '?action=modifykarma;sa=applaud;uid=', $message['member']['id'], ';topic=', $context['current_topic'], '.' . $context['start'], ';m=', $message['id'], ';sesc=', $context['session_id'], '">', $modSettings['karmaApplaudLabel'], '</a>
								<tr><td nowrap="nowrap"><span class="smalltext"><a href="', $scripturl, '?action=modifykarma;sa=smite;uid=', $message['member']['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';m=', $message['id'], ';sesc=', $context['session_id'], '">', $modSettings['karmaSmiteLabel'], '</a></span></td></tr>';

			// Show the member's gender icon?
			if (!empty($settings['show_gender']) && $message['member']['gender']['image'] != '')
				echo '
								<tr><td nowrap="nowrap"><span class="smalltext">', $txt[231], ': ', $message['member']['gender']['image'], '</span></td></tr>';

			// Show how many posts they have made.
			echo '
								<tr><td nowrap="nowrap"><span class="smalltext">', $txt[26], ': ', $message['member']['posts'], '</span></td></tr>';

                        // Show their personal text?
			if (!empty($settings['show_blurb']) && $message['member']['blurb'] != '')
				echo '
								<tr><td><span class="smalltext"><br />', $message['member']['blurb'], '</span></tr>';
  }
   // Done with the information about the poster... on to the post itself.
		echo '
		</table></td>
			</tr>
			</table><br /><br /></td>
			<td style="background: url(' . $settings['images_url'] . '/post_right.gif);" width="10"><img src="' . $settings['images_url'] . '/spacer.gif" border="0" height="1" width="10" alt="" /></td>
		</tr>
		<tr>
			<td style="background: url(' . $settings['images_url'] . '/post_bottom.gif);" height="10"><img src="' . $settings['images_url'] . '/spacer.gif" border="0" height="10" width="1" alt="" /></td>
			<td height="10" width="10"><img src="' . $settings['images_url'] . '/post_corner.gif" border="0" height="10" width="10" alt="" /></td>
		</tr>
		<!-- left row table end --></table><br /><br /></td>
						<td class="row1" align="left" valign="top" width="100%">
							<table border="0" cellpadding="5" cellspacing="0" width="100%" style="table-layout: fixed;"><!-- right top row table start -->
		<tr>
			<td width="100%"><div style="overflow: auto; width: 100%;"><div class="post postbody"', $message['can_modify'] ? ' id="msg_' . $message['id'] . '"' : '', '>', $message['body'], '</div>', $message['can_modify'] ? '
                     <img src="' . $settings['images_url'] . '/icons/modify_inline.gif" alt="" align="right" id="modify_button_' . $message['id'] . '" style="cursor: pointer;" onclick="modify_msg(\'' . $message['id'] . '\', \'' . $context['session_id'] . '\')" />' : '' , '</div></td>
		</tr>
		<!-- right top row table end --></table></td>
	</tr>';

		// Now for the attachments, signature, ip logged, etc...
		echo '
					<tr>
						<td valign="bottom" class="smalltext" width="85%">
							<table width="100%" border="0" style="table-layout: fixed;"><tr>
								<td align="left" colspan="2" class="smalltext" width="100%">';

		// Assuming there are attachments...
		if (!empty($message['attachment']))
		{
			echo '
									<hr width="100%" size="1" class="hrcolor" />
									<div style="overflow: auto; width: 100%;">';

			foreach ($message['attachment'] as $attachment)
			{
				if ($attachment['is_image'])
				{
					if ($attachment['thumbnail']['has_thumb'])
						echo '
									<a href="', $attachment['href'], ';image" id="link_', $attachment['id'], '" onclick="', $attachment['thumbnail']['javascript'], '"><img src="', $attachment['thumbnail']['href'], '" alt="" id="thumb_', $attachment['id'], '" border="0" /></a><br />';
					else
						echo '
									<img src="' . $attachment['href'] . ';image" alt="" width="' . $attachment['width'] . '" height="' . $attachment['height'] . '" border="0" /><br />';
				}
				echo '
				                                        <a href="' . $attachment['href'] . '"><img src="' . $settings['images_url'] . '/icons/clip.gif" align="middle" alt="*" border="0" />&nbsp;' . $attachment['name'] . '</a> (', $attachment['size'], ($attachment['is_image'] ? ', ' . $attachment['real_width'] . 'x' . $attachment['real_height'] . ' - ' . $txt['attach_viewed'] : ' - ' . $txt['attach_downloaded']) . ' ' . $attachment['downloads'] . ' ' . $txt['attach_times'] . '.)<br />';
			}

			echo '
									</div>';
		}

		echo '
								</td>
							</tr><tr>
								<td align="left" valign="bottom" class="smalltext">';

		// Show " Last Edit: Time by Person " if this post was edited.
		if ($settings['show_modify'] && !empty($message['modified']['name']))
			echo '
									&#171; <i>', $txt[211], ': ', $message['modified']['time'], ' ', $txt[525], ' ', $message['modified']['name'], '</i> &#187;';

		echo '
								</td>
								<td align="right" valign="bottom" class="smalltext">';

		// Maybe they want to report this post to the moderator(s)?
		if ($context['can_report_moderator'])
			echo '
									<a href="', $scripturl, '?action=reporttm;topic=', $context['current_topic'], '.', $message['counter'], ';msg=', $message['id'], '">', $txt['rtm1'], '</a> &nbsp;';
		echo '
									<img src="', $settings['images_url'], '/ip.gif" alt="" border="0" />';

		// Show the IP to this user for this post - because you can moderate?
		if ($context['can_moderate_forum'] && !empty($message['member']['ip']))
			echo '
									<a href="', $scripturl, '?action=trackip;searchip=', $message['member']['ip'], '">', $message['member']['ip'], '</a> <a href="', $scripturl, '?action=helpadmin;help=see_admin_ip" onclick="return reqWin(this.href);" class="help">(?)</a>';
		// Or, should we show it because this is you?
		elseif ($message['can_see_ip'])
			echo '
									<a href="', $scripturl, '?action=helpadmin;help=see_member_ip" onclick="return reqWin(this.href);" class="help">', $message['member']['ip'], '</a>';
		// Okay, are you at least logged in?  Then we can show something about why IPs are logged...
		elseif (!$context['user']['is_guest'])
			echo '
									<a href="', $scripturl, '?action=helpadmin;help=see_member_ip" onclick="return reqWin(this.href);" class="help">', $txt[511], '</a>';
		// Otherwise, you see NOTHING!
		else
			echo '
									', $txt[511];

		echo '
								</td>
							</tr>';

		// Show the member's signature?
		if (!empty($message['member']['signature']) && empty($options['show_no_signatures']))
			echo '
							<tr><td colspan="2" class="smalltext"><br /><hr width="100%" size="1" class="hrcolor" />
							<div style="overflow: auto; width: 100%; padding-bottom: 10px; padding-top: 5px; padding-left: 4px; padding-right: 2px;" class="signature">', $message['member']['signature'], '</div></td></tr>';

		echo '
        </table></td></tr></table></td>
        </tr>
        <tr>
	<td colspan="2" class="row4" align="left" height="28" valign="bottom"><table border="0" cellpadding="3" cellspacing="0">
	<tr>
		<td width="112"><img src="' . $settings['images_url'] . '/spacer.gif" border="0" height="1" width="112" alt="" /></td>
		<td align="left" nowrap="nowrap" valign="middle">';
                
                if (!$message['member']['is_guest'])
		{

                // Show the profile, website, email address, and personal message buttons.
			if ($settings['show_profile_buttons'])
			{
				// Don't show the profile button if you're not allowed to view the profile.
				if ($message['member']['can_view_profile'])
					echo '
								<a href="', $message['member']['href'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/icons/profile_sm.gif" alt="' . $txt[27] . '" title="' . $txt[27] . '" border="0" />' : $txt[27]), '</a>';

				// Since we know this person isn't a guest, you *can* message them.
				if ($context['can_send_pm'])
					echo '
								<a href="', $scripturl, '?action=pm;sa=send;u=', $message['member']['id'], '" title="', $message['member']['online']['label'], '">', $settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/im_' . ($message['member']['online']['is_online'] ? 'on' : 'off') . '.gif" alt="' . $message['member']['online']['label'] . '" border="0" />' : $message['member']['online']['label'], '</a>';
                                
				// Don't show the email address if they want it hidden.
				if (empty($message['member']['hide_email']))
					echo '
								<a href="mailto:', $message['member']['email'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt[69] . '" title="' . $txt[69] . '" border="0" />' : $txt[69]), '</a>';

                                // Don't show an icon if they haven't specified a website.
				if ($message['member']['website']['url'] != '')
					echo '
								<a href="', $message['member']['website']['url'], '" title="' . $message['member']['website']['title'] . '" target="_blank">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/www_sm.gif" alt="' . $txt[515] . '" border="0" />' : $txt[515]), '</a>';
                                // This shows the popular messaging icons.
			echo '
                        
                        ', $message['member']['msn']['link'], '';
                        if ($message['member']['icq']['href'])
                        echo '
                        <a href="', $message['member']['icq']['href'], '" target="_blank"><img src="' . $settings['images_url'] . '/icq.gif" border="0"></a>';
			if ($message['member']['yim']['href'])
                        echo '
                        <a href="', $message['member']['yim']['href'], '" target="_blank"><img src="' . $settings['images_url'] . '/yim.gif" border="0"></a>';
                        echo '
                        ', $message['member']['aim']['link'], '';
                        }
  }

                // Otherwise, show the guest's email.
		elseif (empty($message['member']['hide_email']))
			echo '
								<a href="mailto:', $message['member']['email'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt[69] . '" title="' . $txt[69] . '" border="0" />' : $txt[69]), '</a>';

                
                
                echo'
                </td>
                <td width="60"></td>
	</tr></table>
        </td>
					</tr>
					</table>
        <table border="0" cellpadding="0" cellspacing="0" width="100%"><tr><td align="right" valign="top" width="12"><img src="', $settings['images_url'], '/bottom_left.gif" border="0" height="12" width="12" alt="" /></td><td style="background: url(', $settings['images_url'], '/bottom_center.gif);" width="100%"></td><td align="left" valign="top" width="12"><img src="', $settings['images_url'], '/bottom_right.gif" border="0" height="12" width="12" alt="" /></td></tr></table><br />';
        }
	echo '
<a name="lastPost"></a>
<table width="100%" cellpadding="0" cellspacing="0" border="0" style="margin-bottom: 1ex; margin-top: -1ex;">
			<tr>
				<td align="left">
					<table cellpadding="0" cellspacing="0" width="100%">
						<tr>
							<td><span class="smalltext"><b>', $txt[139], ': ', $context['page_index'], '</b></span></td>
							<td align="right" nowrap="nowrap" style="font-size: smaller;">';

	$buttonArray = array();
	if ($context['can_reply'])
		$buttonArray[] = '<a href="' . $scripturl . '?action=post;topic=' . $context['current_topic'] . '.' . $context['start'] . ';num_replies=' . $context['num_replies'] . '">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/reply.gif" alt="' . $txt[146] . '" border="0" />' : $txt[146]) . '</a>';
	if ($context['can_mark_notify'])
		$buttonArray[] = '<a href="' . $scripturl . '?action=notify;sa=' . ($context['is_marked_notify'] ? 'off' : 'on') . ';topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '" onclick="return confirm(\'' . ($context['is_marked_notify'] ? $txt['notification_disable_topic'] : $txt['notification_enable_topic']) . '\');">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/notify.gif" alt="' . $txt[131] . '" border="0" />' : $txt[131]) . '</a>';

	// This is a special case; if they can see mark unread, put it at the top... otherwise show add poll.
	if ($context['user']['is_logged'] && $settings['show_mark_read'])
		$buttonArray[] = '<a href="' . $scripturl . '?action=markasread;sa=topic;topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/markunread.gif" alt="' . $txt['mark_unread'] . '" border="0" />' : $txt['mark_unread']) . '</a>';
	elseif ($context['can_add_poll'])
		$buttonArray[] = '<a href="' . $scripturl . '?action=post;poll;msg=' . $context['topic_first_message'] . ';topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/addpoll.gif" alt="' . $txt['add_poll'] . '" border="0" />' : $txt['add_poll']) . '</a>';

	if ($context['can_send_topic'])
		$buttonArray[] = '<a href="' . $scripturl . '?action=sendtopic;topic=' . $context['current_topic'] . '.0">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/sendtopic.gif" alt="' . $txt[707] . '" border="0" />' : $txt[707]) . '</a>';
	$buttonArray[] = '<a href="' . $scripturl . '?action=printpage;topic=' . $context['current_topic'] . '.0" target="_blank">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/print.gif" alt="' . $txt[465] . '" border="0" />' : $txt[465]) . '</a>';

	echo implode($context['menu_separator'], $buttonArray);

	echo '</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
<div align="left" style="margin-bottom: 1ex;">
<table width="100%" cellpadding="3" cellspacing="0">
	<tr>
		<td valign="bottom">', theme_linktree(), '</td></tr></table>
</div>';

echo '
<script language="JavaScript" type="text/javascript" src="' . $settings['default_theme_url'] . '/xml_topic.js"></script>
<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
   quickReplyCollapsed = ', !empty($options['display_quick_reply']) && $options['display_quick_reply'] == 2 ? 'false' : 'true', ';

   smf_topic = ', $context['current_topic'], ';
   smf_start = ', $context['start'], ';
   smf_show_modify = ', $settings['show_modify'] ? '1' : '0', ';

   // On quick modify, this is what the body will look like.
   var smf_template_body_edit = \'<div id="error_box" style="padding: 4px; color: red;"></div><textarea class="editor" name="message" rows="12" style="width: 94%; margin-bottom: 10px;">%body%</textarea><br /><input type="hidden" name="sc" value="', $context['session_id'], '" /><input type="hidden" name="topic" value="', $context['current_topic'], '" /><input type="hidden" name="msg" value="%msg_id%" /><div style="text-align: center;"><input type="submit" name="post" value="', $txt[10], '" onclick="return modify_save(\\\'' . $context['session_id'] . '\\\');" accesskey="s" />&nbsp;&nbsp;', $context['show_spellchecking'] ? '<input type="button" value="' . $txt['spell_check'] . '" onclick="spellCheck(\\\'quickModForm\\\', \\\'message\\\');" />&nbsp;&nbsp;' : '', '<input type="submit" name="cancel" value="', $txt['modify_cancel'], '" onclick="return modify_cancel();" /></div>\';

   // And this is the replacement for the subject.
   var smf_template_subject_edit = \'<input type="text" name="subject" value="%subject%" size="60" style="width: 99%;"  maxlength="80" />\';

   // Restore the message to this after editing.
   var smf_template_body_normal = \'%body%\';
   var smf_template_subject_normal = \'<a href="', $scripturl, '?topic=', $context['current_topic'], '.msg%msg_id%#msg%msg_id%">%subject%</a>\';
   var smf_template_top_subject = "', $txt[118], ': %subject% &nbsp;(', $txt[641], ' ', $context['num_views'], ' ', $txt[642], ')"

   if (window.XMLHttpRequest)
      showModifyButtons();
// ]]></script>';
        loadLanguage('Post');
	if ($context['can_reply'] && !empty($options['display_quick_reply']))
{


		// BBCodes
	        $context['bbc_tags'] = array();
		$context['bbc_tags'][] = array(
			'bold' => array('code' => 'b', 'before' => '[b]', 'after' => '[/b]', 'description' => $txt[253]),
			'italicize' => array('code' => 'i', 'before' => '[i]', 'after' => '[/i]', 'description' => $txt[254]),
			'underline' => array('code' => 'u', 'before' => '[u]', 'after' => '[/u]', 'description' => $txt[255]),
			'strike' => array('code' => 's', 'before' => '[s]', 'after' => '[/s]', 'description' => $txt[441]),
			array(),
			'left' => array('code' => 'left', 'before' => '[left]', 'after' => '[/left]', 'description' => $txt[445]),
			'center' => array('code' => 'center', 'before' => '[center]', 'after' => '[/center]', 'description' => $txt[256]),
			'right' => array('code' => 'right', 'before' => '[right]', 'after' => '[/right]', 'description' => $txt[446]),
                        array(),
			'img' => array('code' => 'img', 'before' => '[img]', 'after' => '[/img]', 'description' => $txt[435]),
			'url' => array('code' => 'url', 'before' => '[url]', 'after' => '[/url]', 'description' => $txt[257]),
			'ftp' => array('code' => 'ftp', 'before' => '[ftp]', 'after' => '[/ftp]', 'description' => $txt[434]),
			array(),
			'code' => array('code' => 'code', 'before' => '[code]', 'after' => '[/code]', 'description' => $txt[259]),
			'quote' => array('code' => 'quote', 'before' => '[quote]', 'after' => '[/quote]', 'description' => $txt[260]),
			);



	if ($context['show_spellchecking'])
		echo '
	<script language="JavaScript" type="text/javascript" src="' . $settings['default_theme_url'] . '/spellcheck.js"></script>';
	
	echo '
	<script language="JavaScript" type="text/javascript"><!--
		function bbc_highlight(something, mode)
		{
			something.style.backgroundImage = "url(" + smf_images_url + (mode ? "/bbc/bbc_hoverbg.gif)" : "/bbc/bbc_bg.gif)");
		}
	// --></script>';

		echo '
<a name="quickreply"></a>
<table border="0" cellpadding="0" cellspacing="0" width="100%"><tr><td align="right" valign="bottom" width="50"><img src="' . $settings['images_url'] . '/top_left.gif" alt="" border="0" height="28" width="50" /></td><td align="center" style="background: url(' . $settings['images_url'] . '/top_center.gif);" valign="middle" width="100%"><span class="cattitle"><a href="javascript:swapQuickReply();"><img src="', $settings['images_url'], '/', $options['display_quick_reply'] == 2 ? 'collapse' : 'expand', '.gif" alt="+" border="0" id="quickReplyExpand" /></a> <a href="javascript:swapQuickReply();">', $txt['quick_reply_1'], '</a></span></td><td align="left" valign="bottom" width="50"><img src="' . $settings['images_url'] . '/top_right.gif" alt="" border="0" height="28" width="50" /></td></tr></table>
<table border="0" cellspacing="1" cellpadding="3" class="forumline" width="100%" style="clear: both;">
       
       <tr id="quickReplyOptions"', $options['display_quick_reply'] == 2 ? '' : ' style="display: none"', '>
                <td class="row1" width="90%" align="center">
		        <span class="smalltext">', $txt['quick_reply_2'], $context['is_locked'] ? '<br /><br /><b>' . $txt['quick_reply_warning'] . '</b>' : '', '</span>
		        <form action="', $scripturl, '?action=post2" method="post" name="postmodify" id="postmodify" onsubmit="submitonce(this);" style="margin: 0;">';
			 if (!empty($settings['spc_qreply']))
		         {
		           echo '';
                         }
                         else
                         {
                         echo'<hr />';
					// Show buttons for allowed BBCodes
					foreach ($context['bbc_tags'][0] as $image => $tag)
					{
						if (isset($tag['before']))
						{
							// Putting a disabled tag is useless..
							if (!empty($disabled[$tag['code']]))
							continue;

							// If there's no after, we're just replacing the entire selection in the post box.
							if (!isset($tag['after']))
								echo '
								<a href="javascript:void(0);" onclick="replaceText(\'', $tag['before'], '\', document.quickModForm.message); return false;">';
							// On the other hand, if there is one we are surrounding the selection ;).
							else
								echo '
								<a href="javascript:void(0);" onclick="surroundText(\'', $tag['before'], '\', \'', $tag['after'], '\', document.quickModForm.message); return false;">';
			
							// Okay... we have the link.  Now for the image and the closing </a>!
							echo '<img onmouseover="bbc_highlight(this, true);" onmouseout="if (window.bbc_highlight) bbc_highlight(this, false);" src="', $settings['images_url'], '/bbc/', $image ,'.gif" align="bottom" width="23" height="22" alt="', $tag['description'], '" title="', $tag['description'], '" border="0" style="background-image: url(', $settings['images_url'], '/bbc/bbc_bg.gif); margin: 1px 2px 1px 1px;" /></a>';
	     				         }
					}

                          echo'
                          <br /><a href="javascript:void(0);" onclick="replaceText(\' :)\', document.quickModForm.message); return false;"><img src="', $settings['images_url'], '/post/smiley.gif" align="bottom" alt="Smiley" title="Smiley" border="0" /></a>
<a href="javascript:void(0);" onclick="replaceText(\' ;)\', document.quickModForm.message); return false;"><img src="', $settings['images_url'], '/post/wink.gif" align="bottom" alt="Wink" title="Wink" border="0" /></a>
<a href="javascript:void(0);" onclick="replaceText(\' :D\', document.quickModForm.message); return false;"><img src="', $settings['images_url'], '/post/cheesy.gif" align="bottom" alt="Cheesy" title="Cheesy" border="0" /></a>
<a href="javascript:void(0);" onclick="replaceText(\' ;D\', document.quickModForm.message); return false;"><img src="', $settings['images_url'], '/post/grin.gif" align="bottom" alt="Grin" title="Grin" border="0" /></a>
<a href="javascript:void(0);" onclick="replaceText(\' >:(\', document.quickModForm.message); return false;"><img src="', $settings['images_url'], '/post/angry.gif" align="bottom" alt="Angry" title="Angry" border="0" /></a>
<a href="javascript:void(0);" onclick="replaceText(\' :(\', document.quickModForm.message); return false;"><img src="', $settings['images_url'], '/post/sad.gif" align="bottom" alt="Sad" title="Sad" border="0" /></a>
<a href="javascript:void(0);" onclick="replaceText(\' :o\', document.quickModForm.message); return false;"><img src="', $settings['images_url'], '/post/shocked.gif" align="bottom" alt="Shocked" title="Shocked" border="0" /></a>
<a href="javascript:void(0);" onclick="replaceText(\' 8)\', document.quickModForm.message); return false;"><img src="', $settings['images_url'], '/post/cool.gif" align="bottom" alt="Cool" title="Cool" border="0" /></a>
<a href="javascript:void(0);" onclick="replaceText(\' ???\', document.quickModForm.message); return false;"><img src="', $settings['images_url'], '/post/huh.gif" align="bottom" alt="Huh" title="Huh" border="0" /></a>
<a href="javascript:void(0);" onclick="replaceText(\' ::)\', document.quickModForm.message); return false;"><img src="', $settings['images_url'], '/post/rolleyes.gif" align="bottom" alt="Roll Eyes" title="Roll Eyes" border="0" /></a>
<a href="javascript:void(0);" onclick="replaceText(\' :P\', document.quickModForm.message); return false;"><img src="', $settings['images_url'], '/post/tongue.gif" align="bottom" alt="Tongue" title="Tongue" border="0" /></a>
<a href="javascript:void(0);" onclick="replaceText(\' :-[\', document.quickModForm.message); return false;"><img src="', $settings['images_url'], '/post/embarassed.gif" align="bottom" alt="Embarrassed" title="Embarrassed" border="0" /></a>
<a href="javascript:void(0);" onclick="replaceText(\' :-X\', document.quickModForm.message); return false;"><img src="', $settings['images_url'], '/post/lipsrsealed.gif" align="bottom" alt="Lips Sealed" title="Lips Sealed" border="0" /></a>
<a href="javascript:void(0);" onclick="replaceText(\' :-\\\ \', document.quickModForm.message); return false;"><img src="', $settings['images_url'], '/post/undecided.gif" align="bottom" alt="Undecided" title="Undecided" border="0" /></a>
<a href="javascript:void(0);" onclick="replaceText(\' :-*\', document.quickModForm.message); return false;"><img src="', $settings['images_url'], '/post/kiss.gif" align="bottom" alt="Kiss" title="Kiss" border="0" /></a>
<a href="javascript:void(0);" onclick="replaceText(\' :\\\'(\', document.quickModForm.message); return false;"><img src="', $settings['images_url'], '/post/cry.gif" align="bottom" alt="cry" title="cry" border="0" /></a>';
}
                          if ($context['show_spellchecking'])
                          echo '
                          <input type="button" value="', $txt['spell_check'], '" onclick="spellCheck(\'quickModForm\', \'message\');" />';

                                
                                
                                echo'
                                <input type="hidden" name="topic" value="' . $context['current_topic'] . '" />
				<input type="hidden" name="subject" value="' . $txt['response_prefix'] . $context['subject'] . '" />
				<input type="hidden" name="icon" value="xx" />
				<input type="hidden" name="notify" value="', $context['is_marked_notify'] || !empty($options['auto_notify']) ? '1' : '0', '" />
				<input type="hidden" name="goback" value="', empty($options['return_to_post']) ? '0' : '1', '" />
				<input type="hidden" name="num_replies" value="', $context['num_replies'], '" />
				<textarea cols="75" rows="7" style="width: 95%; height: 100px;" name="message" tabindex="1"></textarea><br />
				<input type="submit" name="post" value="' . $txt[105] . '" onclick="return submitThisOnce(this);" accesskey="s" tabindex="2" />
				<input type="submit" name="preview" value="' . $txt[507] . '" onclick="return submitThisOnce(this);" accesskey="p" tabindex="4" />';
		if ($context['show_spellchecking'])
			echo '
				<input type="button" value="', $txt['spell_check'], '" onclick="spellCheck(\'postmodify\', \'message\');" />';
		echo '
				<input type="hidden" name="sc" value="' . $context['session_id'] . '" />
				<input type="hidden" name="seqnum" value="', $context['form_sequence_number'], '" />';
                echo '
				</form>
			</td>
		</tr>
	</table>';
		if ($context['show_spellchecking'])
			echo '
<form name="spell_form" id="spell_form" method="post" target="spellWindow" action="', $scripturl, '?action=spellcheck"><input type="hidden" name="spellstring" value="" /></form>
<table border="0" cellpadding="0" cellspacing="0" width="100%" style="margin-top: -1.5px; margin-bottom: 2px;"><tr><td align="right" valign="top" width="12"><img src="', $settings['images_url'], '/bottom_left.gif" border="0" height="12" width="12" alt="" /></td><td style="background: url(', $settings['images_url'], '/bottom_center.gif);" width="100%"></td><td align="left" valign="top" width="12"><img src="', $settings['images_url'], '/bottom_right.gif" border="0" height="12" width="12" alt="" /></td></tr></table>';
	}

if ($settings['linktree_inline'])
echo'
<table border="0" width="100%" cellpadding="0" cellspacing="0">
	<tr>
		<td valign="top" align="left">', theme_linktree(), '</td>
	</tr>
</table>';

echo '
<div align="center" style="padding-top: 4px; padding-bottom: 4px; vertical-align: middle; font-weight: bold;"><table border="0" cellpadding="0" cellspacing="3"><tr class="quoteheader">', theme_show_mod_buttons(), '</tr></table></div>';

	if (!empty($options['display_quick_mod']) && $options['display_quick_mod'] == 1 && $context['can_remove_post'])
		echo '
	<input type="hidden" name="sc" value="', $context['session_id'], '" />
	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
		document.getElementById("quickmodSubmit").style.display = "none";
   // ]]></script>';
   echo '
</form>';

	echo '
<div align="right" style="margin-bottom: 1ex;">
	<form action="', $scripturl, '" method="get" name="jumptoForm">
		<span class="smalltext">' . $txt[160] . ':</span>
		<select name="jumpto" id="jumpto" onchange="if (this.selectedIndex > 0 &amp;&amp; this.options[this.selectedIndex].value) window.location.href = smf_scripturl + this.options[this.selectedIndex].value.substr(smf_scripturl.indexOf(\'?\') == -1 ? 0 : 1);">
			<option value="">' . $txt[251] . ':</option>';
	foreach ($context['jump_to'] as $category)
	{
		echo '
			<option value="" disabled="disabled">-----------------------------</option>
			<option value="#', $category['id'], '">', $category['name'], '</option>
			<option value="" disabled="disabled">-----------------------------</option>';
		foreach ($category['boards'] as $board)
			echo '
			<option value="?board=', $board['id'], '.0"', $board['is_current'] ? ' selected="selected"' : '', '> ' . str_repeat('==', $board['child_level']) . '=> ' . $board['name'] . '</option>';
	}
	echo '
		</select>&nbsp;
		<input type="button" value="', $txt[161], '" onclick="if (this.form.jumpto.options[this.form.jumpto.selectedIndex].value) window.location.href = \'', $scripturl, '\' + this.form.jumpto.options[this.form.jumpto.selectedIndex].value;" />
	</form>
</div>';

	echo '<img src="', $settings['images_url'], '/blank.gif" alt="" id="fetchSessionTemp" />';
}

function theme_show_mod_buttons()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

	$moderationButtons = array();

	if ($context['can_move'])
		$moderationButtons[] = '<td><img src="' . $settings['images_url'] . '/topic_move.gif" border="0" alt="" /></td> <td valign="middle"><a href="' . $scripturl . '?action=movetopic;topic=' . $context['current_topic'] . '.0">' . $txt[132] . '</a></td>';
	if ($context['can_delete'])
		$moderationButtons[] = '<td><img src="' . $settings['images_url'] . '/topic_delete.gif" border="0" alt="" /></td> <td valign="middle"><a href="' . $scripturl . '?action=removetopic2;topic=' . $context['current_topic'] . '.0;sesc=' . $context['session_id'] . '" onclick="return confirm(\'' . $txt[162] . '\');">' . $txt[63] . '</a></td>';
	if ($context['can_lock'])
		$moderationButtons[] = '<td><img src="' . $settings['images_url'] . '/topic_lock.gif" border="0" alt="" /></td> <td valign="middle"><a href="' . $scripturl . '?action=lock;topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '">' . (empty($context['is_locked']) ? $txt['smf279'] : $txt['smf280']) . '</a></td>';
	if ($context['can_sticky'])
		$moderationButtons[] = '<td><img src="' . $settings['images_url'] . '/topic_sticky.gif" border="0" alt="" /></td> <td valign="middle"><a href="' . $scripturl . '?action=sticky;topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '">' . (empty($context['is_sticky']) ? $txt['smf277'] : $txt['smf278']) . '</a></td>';
	if ($context['can_merge'])
		$moderationButtons[] = '<td><img src="' . $settings['images_url'] . '/topic_split.gif" border="0" alt="" /></td> <td valign="middle"><a href="' . $scripturl . '?action=mergetopics;board=' . $context['current_board'] . '.0;from=' . $context['current_topic'] . '">' . $txt['smf252'] . '</a></td>';
	if ($context['can_remove_poll'])
		$moderationButtons[] = '<td><img src="' . $settings['images_url'] . '/topic_delete.gif" border="0" alt="" /></td> <td valign="middle"><a href="' . $scripturl . '?action=removepoll;topic=' . $context['current_topic'] . '.' . $context['start'] . '" onclick="return confirm(\'' . $txt['poll_remove_warn'] . '\');">' . $txt['poll_remove'] . '</a></td>';

	if ($context['calendar_post'])
		$moderationButtons[] = '<td><img src="' . $settings['images_url'] . '/topic_cal.gif" border="0" alt="" /></td> <td valign="middle"><a href="' . $scripturl . '?action=post;calendar;msg=' . $context['topic_first_message'] . ';topic=' . $context['current_topic'] . '.0;sesc=' . $context['session_id'] . '">' . $txt['calendar37'] . '</a></td>';
	return implode($context['menu_separator'], $moderationButtons);
}

?>
